Subject: Re: bug#19780: 13 failing tests

From: [email-masked] (Ludovic Courtès)
Date: Fri, 13 Feb 2015 10:14:24 +0100

Ricardo Wurmus <[email-masked]> skribis:

> Modifying test-env only gave me errors about the socket file not being
> found, so I did not spend much more time investigating it.  With the
> modified pre-inst-env, however, valgrind produced a very long log, which
> I attached below.  The interesting part is probably this section near
> the end:
>
> ~~~~~~~~~~~~~~~~~~~~~~~
> ==9202== Jump to the invalid address stated on the next line
> ==9202==    at 0x0: ???
> ==9202==    by 0x5308B23: __pthread_initialize_minimal (nptl-init.c:467)
> ==9202==    by 0x5307408: ??? (in /usr/lib64/libpthread-2.17.so)
> ==9202==    by 0x50F9F5F: ??? (in /usr/lib64/libnss_sss.so.2)
> ==9202==    by 0x4F56F1: ??? (in /localhome/rwurmus-tmp/guix/test-tmp/store/nakn26p520psw7jawgfv74wm34dn6kxj-bash)
> ==9202==    by 0x4F5836: ??? (in /localhome/rwurmus-tmp/guix/test-tmp/store/nakn26p520psw7jawgfv74wm34dn6kxj-bash)
> ==9202==    by 0x4DBB59: ??? (in /localhome/rwurmus-tmp/guix/test-tmp/store/nakn26p520psw7jawgfv74wm34dn6kxj-bash)
> ==9202==    by 0x4D9E65: ??? (in /localhome/rwurmus-tmp/guix/test-tmp/store/nakn26p520psw7jawgfv74wm34dn6kxj-bash)
> ==9202==    by 0x4DB476: ??? (in /localhome/rwurmus-tmp/guix/test-tmp/store/nakn26p520psw7jawgfv74wm34dn6kxj-bash)
> ==9202==    by 0x4DDA86: ??? (in /localhome/rwurmus-tmp/guix/test-tmp/store/nakn26p520psw7jawgfv74wm34dn6kxj-bash)
> ==9202==    by 0x4D9E65: ??? (in /localhome/rwurmus-tmp/guix/test-tmp/store/nakn26p520psw7jawgfv74wm34dn6kxj-bash)
> ==9202==    by 0x4DD8D6: ??? (in /localhome/rwurmus-tmp/guix/test-tmp/store/nakn26p520psw7jawgfv74wm34dn6kxj-bash)
> ==9202==  Address 0x0 is not stack'd, malloc'd or (recently) free'd
> ==9202== 
> ==9202== 
> ==9202== Process terminating with default action of signal 11 (SIGSEGV)
> ==9202==  Bad permissions for mapped region at address 0x0
> ==9202==    at 0x0: ???
> ==9202==    by 0x5308B23: __pthread_initialize_minimal (nptl-init.c:467)
> ==9202==    by 0x5307408: ??? (in /usr/lib64/libpthread-2.17.so)
> ==9202==    by 0x50F9F5F: ??? (in /usr/lib64/libnss_sss.so.2)
> ==9202==    by 0x4F56F1: ??? (in /localhome/rwurmus-tmp/guix/test-tmp/store/nakn26p520psw7jawgfv74wm34dn6kxj-bash)
> ==9202==    by 0x4F5836: ??? (in /localhome/rwurmus-tmp/guix/test-tmp/store/nakn26p520psw7jawgfv74wm34dn6kxj-bash)
> ==9202==    by 0x4DBB59: ??? (in /localhome/rwurmus-tmp/guix/test-tmp/store/nakn26p520psw7jawgfv74wm34dn6kxj-bash)
> ==9202==    by 0x4D9E65: ??? (in /localhome/rwurmus-tmp/guix/test-tmp/store/nakn26p520psw7jawgfv74wm34dn6kxj-bash)
> ==9202==    by 0x4DB476: ??? (in /localhome/rwurmus-tmp/guix/test-tmp/store/nakn26p520psw7jawgfv74wm34dn6kxj-bash)
> ==9202==    by 0x4DDA86: ??? (in /localhome/rwurmus-tmp/guix/test-tmp/store/nakn26p520psw7jawgfv74wm34dn6kxj-bash)
> ==9202==    by 0x4D9E65: ??? (in /localhome/rwurmus-tmp/guix/test-tmp/store/nakn26p520psw7jawgfv74wm34dn6kxj-bash)
> ==9202==    by 0x4DD8D6: ??? (in /localhome/rwurmus-tmp/guix/test-tmp/store/nakn26p520psw7jawgfv74wm34dn6kxj-bash)
> ~~~~~~~~~~~~~~~~~~~~~~~
>
> libnss_sss is used because on my workstation we use sssd for user
> authentication with LDAP.

Interesting.  How does libnss_sss.so get loaded?  Is it specified in
/etc/ld.so.preload, /etc/nsswitch.conf, or some other global
configuration file?

Could you this time replace ‘valgrind’ with ‘strace -f -o log’ in
‘pre-inst-env’, and send that log?  I fail to see how this library gets
loaded.

> On a possibly related note, Emacs installed through Guix on this
> Fedora 21 workstation fails to find my user's home directory (which is
> mounted over NFS).  Upon starting Emacs I get this error: "Error
> (initialization): User rwurmus has no home directory"; "--debug-init"
> does not make any difference.  HOME is set, of course.  I wonder if
> this is a helpful clue.

Does (getpw (getenv "USER")) work on this system?

Thanks,
Ludo’.